Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng
Class ButtonEx

    java.lang.Object
      nextapp.echo2.app.Component
          nextapp.echo2.app.button.AbstractButton
              nextapp.echo2.app.Button
                  echopointng.ButtonEx

All Implemented Interfaces:
  AccessKeyable, Attributeable, Borderable, Delegateable, Heightable, Insetable, MouseCursorable, Sizeable, ToolTipable, Widthable, java.io.Serializable, RenderIdSupport

Direct Known Subclasses:
  DefaultTabModel.TabButton, MenuItem, PushButton

    public class ButtonEx

extends Button
implements Borderable, MouseCursorable, AccessKeyable, Insetable, Sizeable, ToolTipable, Attributeable

The `ButtonEx` class provides extra EchoPoint features beyond the `nextapp.echo2.app.ButtonEx`

Its rollover functions are enabled by default and its supports the extra EchoPoint interfaces such as Borderable, MouseCursorable, AccessKeyable.

See Also:
  Serialized Form

Field Summary
`static Style` | `DEFAULT_STYLE`

Fields inherited from class nextapp.echo2.app.button.AbstractButton
`ACTION_LISTENERS_CHANGED_PROPERTY, INPUT_CLICK, PROPERTY_ALIGNMENT, PROPERTY_BACKGROUND_IMAGE, PROPERTY_BORDER, PROPERTY_DISABLED_BACKGROUND, PROPERTY_DISABLED_BACKGROUND_IMAGE, PROPERTY_DISABLED_BORDER, PROPERTY_DISABLED_FONT, PROPERTY_DISABLED_FOREGROUND, PROPERTY_DISABLED_ICON, PROPERTY_HEIGHT, PROPERTY_ICON, PROPERTY_ICON_TEXT_MARGIN, PROPERTY_INSETS, PROPERTY_LINE_WRAP, PROPERTY_MODEL, PROPERTY_PRESSED_BACKGROUND, PROPERTY_PRESSED_BACKGROUND_IMAGE, PROPERTY_PRESSED_BORDER, PROPERTY_PRESSED_ENABLED, PROPERTY_PRESSED_FONT, PROPERTY_PRESSED_FOREGROUND, PROPERTY_PRESSED_ICON, PROPERTY_ROLLOVER_BACKGROUND, PROPERTY_ROLLOVER_BACKGROUND_IMAGE, PROPERTY_ROLLOVER_BORDER, PROPERTY_ROLLOVER_ENABLED, PROPERTY_ROLLOVER_FONT, PROPERTY_ROLLOVER_FOREGROUND, PROPERTY_ROLLOVER_ICON, PROPERTY_TEXT, PROPERTY_TEXT_ALIGNMENT, PROPERTY_TEXT_POSITION, PROPERTY_TOOL_TIP_TEXT, PROPERTY_WIDTH`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Fields inherited from interface echopointng.able.Borderable
`PROPERTY_BORDER`

Fields inherited from interface echopointng.able.MouseCursorable
`CURSOR_AUTO, CURSOR_CROSSHAIR, CURSOR_CUSTOM_URI, CURSOR_DEFAULT, CURSOR_E_RESIZE, CURSOR_HELP, CURSOR_MOVE, CURSOR_N_RESIZE, CURSOR_NE_RESIZE, CURSOR_NW_RESIZE, CURSOR_POINTER, CURSOR_S_RESIZE, CURSOR_SE_RESIZE, CURSOR_SW_RESIZE, CURSOR_TEXT, CURSOR_W_RESIZE, CURSOR_WAIT, PROPERTY_MOUSE_CURSOR, PROPERTY_MOUSE_CURSOR_URI`

Fields inherited from interface echopointng.able.AccessKeyable
`PROPERTY_ACCESS_KEY`

Fields inherited from interface echopointng.able.Insetable
`DEFAULT_INSETS, DEFAULT_OUTSETS, PROPERTY_INSETS, PROPERTY_OUTSETS`

Fields inherited from interface echopointng.able.Widthable
`PROPERTY_WIDTH`

Fields inherited from interface echopointng.able.Heightable
`PROPERTY_HEIGHT`

Fields inherited from interface echopointng.able.ToolTipable
`PROPERTY_TOOL_TIP_TEXT`

Constructor Summary
`ButtonEx()` Creates a button with no text or icon.
`ButtonEx(ImageReference icon)` Creates a button with an icon.
`ButtonEx(java.lang.String text)` Creates a button with text.
`ButtonEx(java.lang.String text, ImageReference icon)` Creates a button with text and an icon.

Method Summary
`java.lang.String` | `getAccessKey()` Returns the access key in use.
`java.lang.Object` | `getAttribute(java.lang.String attributeName)` Returns a value for the given attribute name or null if one cannot be found.
`java.lang.String[]` | `getAttributeNames()` Returns a String array with the names of the the attributes that have neen set.
`Insets` | `getInsets()` Returns the margin between the buttons edge and its content.
`int` | `getMouseCursor()` Returns the current mouse cursor in use.
`java.lang.String` | `getMouseCursorURI()`
`Insets` | `getOutsets()`
`void` | `setAccessKey(java.lang.String newValue)` Sets the access key to be used.
`void` | `setAttribute(java.lang.String attributeName, java.lang.Object attributeValue)` Sets a value for a given attribute name.
`void` | `setInsets(Insets newValue)` Sets the margin between the buttons edge and its content.
`void` | `setMouseCursor(int mouseCursor)` Sets the mouse cursor to use.
`void` | `setMouseCursorURI(java.lang.String mouseCursorURI)` Sets the URI to a custom platform mouse cursor.
`void` | `setOutsets(Insets newValue)` Sets the Outsets in play.
`java.lang.String` | `toString()`

Methods inherited from class nextapp.echo2.app.button.AbstractButton
`addActionListener, doAction, fireActionPerformed, getActionCommand, getAlignment, getBackgroundImage, getBorder, getDisabledBackground, getDisabledBackgroundImage, getDisabledBorder, getDisabledFont, getDisabledForeground, getDisabledIcon, getHeight, getIcon, getIconTextMargin, getModel, getPressedBackground, getPressedBackgroundImage, getPressedBorder, getPressedFont, getPressedForeground, getPressedIcon, getRolloverBackground, getRolloverBackgroundImage, getRolloverBorder, getRolloverFont, getRolloverForeground, getRolloverIcon, getText, getTextAlignment, getTextPosition, getToolTipText, getWidth, hasActionListeners, isLineWrap, isPressedEnabled, isRolloverEnabled, isValidChild, processInput, removeActionListener, setActionCommand, setAlignment, setBackgroundImage, setBorder, setDisabledBackground, setDisabledBackgroundImage, setDisabledBorder, setDisabledFont, setDisabledForeground, setDisabledIcon, setHeight, setIcon, setIconTextMargin, setLineWrap, setModel, setPressedBackground, setPressedBackgroundImage, setPressedBorder, setPressedEnabled, setPressedFont, setPressedForeground, setPressedIcon, setRolloverBackground, setRolloverBackgroundImage, setRolloverBorder, setRolloverEnabled, setRolloverFont, setRolloverForeground, setRolloverIcon, setText, setTextAlignment, setTextPosition, setToolTipText, setWidth`

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, init, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isValidParent, isVisible, remove, remove, removeAll, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setStyle, setStyleName, setVisible, validate, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface echopointng.able.Borderable
`getBorder, setBorder`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Widthable
`getWidth, setWidth`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Heightable
`getHeight, setHeight`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.ToolTipable
`getToolTipText, setToolTipText`

Field Detail

### DEFAULT_STYLE

    public static final Style DEFAULT_STYLE

Constructor Detail

### ButtonEx

    public ButtonEx()

  Creates a button with no text or icon.

### ButtonEx

    public ButtonEx(java.lang.String text)

  Creates a button with text.

  Parameters:
    `text` - A text label to display in the button.

### ButtonEx

    public ButtonEx(ImageReference icon)

  Creates a button with an icon.

  Parameters:
    `icon` - An icon to display in the button.

### ButtonEx

    public ButtonEx(java.lang.String text,
                    ImageReference icon)

  Creates a button with text and an icon.

  Parameters:
    `text` - A text label to display in the button.
    `icon` - An icon to display in the button.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getAccessKey

    public java.lang.String getAccessKey()

  Description copied from interface: `AccessKeyable`
  Returns the access key in use.

  Specified by:
    `getAccessKey` in interface `AccessKeyable`
  Returns:
    the access key in use.
  See Also:
    `AccessKeyable.getAccessKey()`

### getInsets

    public Insets getInsets()

  Description copied from class: `AbstractButton`
  Returns the margin between the buttons edge and its content.

  Specified by:
    `getInsets` in interface `Insetable`
  Overrides:
    `getInsets` in class `AbstractButton`
  Returns:
    the margin
  See Also:
    `Insetable.getInsets()`

### getMouseCursor

    public int getMouseCursor()

  Description copied from interface: `MouseCursorable`
  Returns the current mouse cursor in use. This will be one of the following values.
  - CURSOR_DEFAULT
  - CURSOR_AUTO
  - CURSOR_CROSSHAIR
  - CURSOR_POINTER
  - CURSOR_MOVE
  - CURSOR_E_RESIZE
  - CURSOR_NE_RESIZE
  - CURSOR_NW_RESIZE
  - CURSOR_N_RESIZE
  - CURSOR_SE_RESIZE
  - CURSOR_SW_RESIZE
  - CURSOR_S_RESIZE
  - CURSOR_W_RESIZE
  - CURSOR_TEXT
  - CURSOR_WAIT
  - CURSOR_HELP
  - CURSOR_CUSTOM

  Specified by:
    `getMouseCursor` in interface `MouseCursorable`
  Returns:
    The current mouse cursor in use.
  See Also:
    `MouseCursorable.getMouseCursor()`

### getMouseCursorURI

    public java.lang.String getMouseCursorURI()

  Specified by:
    `getMouseCursorURI` in interface `MouseCursorable`
  Returns:
    The custom URI for the mouse cursor or null
  See Also:
    `MouseCursorable.getMouseCursorURI()`

### getOutsets

    public Insets getOutsets()

  Specified by:
    `getOutsets` in interface `Insetable`
  Returns:
    the Outsets in use or null if here are none
  See Also:
    `Insetable.getOutsets()`

### setAccessKey

    public void setAccessKey(java.lang.String newValue)

  Description copied from interface: `AccessKeyable`
  Sets the access key to be used.

  Specified by:
    `setAccessKey` in interface `AccessKeyable`
  Parameters:
    `newValue` - - the access key to be used.
  See Also:
    `AccessKeyable.setAccessKey(java.lang.String)`

### setInsets

    public void setInsets(Insets newValue)

  Description copied from class: `AbstractButton`
  Sets the margin between the buttons edge and its content.

  Specified by:
    `setInsets` in interface `Insetable`
  Overrides:
    `setInsets` in class `AbstractButton`
  Parameters:
    `newValue` - the new margin
  See Also:
    `Insetable.setInsets(nextapp.echo2.app.Insets)`

### setMouseCursor

    public void setMouseCursor(int mouseCursor)

  Description copied from interface: `MouseCursorable`
  Sets the mouse cursor to use. This will be one of the following values.
  - CURSOR_DEFAULT
  - CURSOR_AUTO
  - CURSOR_CROSSHAIR
  - CURSOR_POINTER
  - CURSOR_MOVE
  - CURSOR_E_RESIZE
  - CURSOR_NE_RESIZE
  - CURSOR_NW_RESIZE
  - CURSOR_N_RESIZE
  - CURSOR_SE_RESIZE
  - CURSOR_SW_RESIZE
  - CURSOR_S_RESIZE
  - CURSOR_W_RESIZE
  - CURSOR_TEXT
  - CURSOR_WAIT
  - CURSOR_HELP
  - CURSOR_CUSTOM

  Specified by:
    `setMouseCursor` in interface `MouseCursorable`
  Parameters:
    `mouseCursor` - - the mouse cursor to use
  See Also:
    `MouseCursorable.setMouseCursor(int)`

### setMouseCursorURI

    public void setMouseCursorURI(java.lang.String mouseCursorURI)

  Description copied from interface: `MouseCursorable`
  Sets the URI to a custom platform mouse cursor. This will only be used if the mosue cusor is set to CURSOR_CUSTOM.

  Specified by:
    `setMouseCursorURI` in interface `MouseCursorable`
  Parameters:
    `mouseCursorURI` - the URI to a custom platform mouse cursor.
  See Also:
    `MouseCursorable.setMouseCursorURI(java.lang.String)`

### setOutsets

    public void setOutsets(Insets newValue)

  Description copied from interface: `Insetable`
  Sets the Outsets in play. The Outsets control the extra space around the outside of a container.

  Specified by:
    `setOutsets` in interface `Insetable`
  Parameters:
    `newValue` - - the Ousets to use
  See Also:
    `Insetable.setOutsets(nextapp.echo2.app.Insets)`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String attributeName)

  Description copied from interface: `Attributeable`
  Returns a value for the given attribute name or null if one cannot be found.

  Specified by:
    `getAttribute` in interface `Attributeable`
  Parameters:
    `attributeName` - - the name of the attribute to return
  Returns:
    a value for the given attribute name or null if one cannot be found.
  See Also:
    `Attributeable.getAttribute(java.lang.String)`

### setAttribute

    public void setAttribute(java.lang.String attributeName,
                             java.lang.Object attributeValue)

  Description copied from interface: `Attributeable`
  Sets a value for a given attribute name.

  Specified by:
    `setAttribute` in interface `Attributeable`
  Parameters:
    `attributeName` - - the name of the attribute to set
    `attributeValue` - - the value for the attribute
  See Also:
    `Attributeable.setAttribute(java.lang.String, java.lang.Object)`

### getAttributeNames

    public java.lang.String[] getAttributeNames()

  Description copied from interface: `Attributeable`
  Returns a String array with the names of the the attributes that have neen set.

  Specified by:
    `getAttributeNames` in interface `Attributeable`
  Returns:
    a String array with the names of the the attributes that have neen set.
  See Also:
    `Attributeable.getAttributeNames()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD